This method is used by the Docusign eSignature for Salesforce package to set the connection used by Docusign to update Salesforce data.
| Name | Schema Type | Description |
|---|---|---|
| AccountId | String | The Docusign account ID. |
| ConnectUsername | String | The Salesforce login user name. |
| ConnectPassword | String | The Salesforce login password. |
| ConnectConfigurationId | Int | The default XML used when setting up Connect for Salesforce. |
| SalesforceEnvironment | String | The Salesforce environment being accessed (i.e: Production or Test). |
Sample Request XML
POST /api/3.0/accountmanagement.asmx HTTP/1.1Host: docusign.netContent-Type: text/xml; charset=utf-8Content-Length: lengthSOAPAction: "http://www.docusign.net/API/AccountManagement/SetConnectCredentials"<?xml version="1.0" encoding="utf-8"?><soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"><soap: Body><SetConnectCredentials xmlns="http://www.docusign.net/API/AccountManagement"><AccountId>string</AccountId><ConnectUsername>string</ConnectUsername><ConnectPassword>string</ConnectPassword><ConnectConfigurationId>int</ConnectConfigurationId><SalesforceEnvironment>string</SalesforceEnvironment></SetConnectCredentials></soap:Body></soap:Envelope>
This method returns a ConnectTestResult string and either a success or failure. If the call fails an error code is provided.
Sample Response XML
HTTP/1.1 200 OKContent-Type: text/xml; charset=utf-8Content-Length: length<?xml version="1.0" encoding="utf-8"?><soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"><soap: Body><SetConnectCredentialsResponse xmlns="http://www.docusign.net/API/AccountManagement"><SetConnectCredentialsResult><ConnectTestResult>string</ConnectTestResult><Success>boolean</Success><Error><ErrorCode>Unspecified_Error or Invalid_Account_ID or Account_Requires_User_Name_And_Password_For_Activation or Account_Is_Already_Activated_For_Salesforce or Invalid_Distributor_For_Account or Invalid_User_ID or Invalid_Account or User_Is_Not_An_Account_Manager or Invalid_Login or Invalid_Member_User_Name or Invalid_Member_Email or Member_Email_Not_Allowed or Member_Email_And_User_Name_Awaiting_Activation or Member_Email_And_User_Name_Already_Exists_For_This_Account or Member_Password_Blank or Member_Forgotten_Password_Question_Blank or Member_Forgotten_Password_Answer_Blank or Invalid_Password_Format or Invalid_Member_Data or Member_Email_And_User_Name_Already_Exists or Not_Authorized or Invalid_Distributor_Selected or Invalid_PGP_For_Distributor or Invalid_Credit_Card_Type or CreditCard_Auth_Failed or Invalid_PGP or Invalid_Plan_Retired or Invalid_Successor_Plan or Invalid_Credit_Card or Credit_Card_Expiration or Invalid_AppToken or Distributor_Not_Enabled_For_AppToken or Plan_Group_Not_Enabled_For_Distributor or Invalid_Configuration_Number or Invalid_Salesforce_Credentials or Invalid_Salesforce_External_Instance_ID or Invalid_Docusign_Connect_Configuration_For_Account or Invalid_User or Invalid_Membership or Invalid_Account_Member or Invalid_Edit_User or Invalid_Edit_Membership or Invalid_CanEditSharedAddressBook_Value or Invalid_CanManageTemplates_Value or Invalid_Membership_ID or Invalid_Request or Partner_Authentication_Failed</ErrorCode><Description>string</Description></Error></SetConnectCredentialsResult></SetConnectCredentialsResponse></soap:Body></soap:Envelope>